Create a snapshot repository for Elasticsearch resource Technical preview

POST /deployments/{deployment_id}/elasticsearch/{ref_id}/snapshot/repository

Important: This API is currently in Tech Preview. While available for use, it is subject to change. Creates a snapshot dependency, allowing this cluster to access snapshots from the source deployment.

Path parameters

  • deployment_id string Required

    Identifier for the Deployment

  • ref_id string Required

    User-specified RefId for the Resource (or '_main' if there is only one)

application/json

Body Required

The source deployment to link snapshots from

  • source_deployment_id string Required

    Source deployment ID whose snapshots will be accessible from the target cluster

Responses

  • 202 application/json

    The request was accepted and the configuration change will be processed asynchronously

    Hide response attribute Show response attribute object
    • message string Required

      Message indicating the request status

  • 400 application/json
    • Cannot create a snapshot dependency from a deployment to itself. (code: deployments.snapshot_dependency_cannot_link_to_self)
    • The request failed validation. (code: clusters.cluster_invalid_plan)
    Hide headers attribute Show headers attribute
    • x-cloud-error-codes string

      The error codes associated with the response

      Values are deployments.snapshot_dependency_cannot_link_to_self or clusters.cluster_invalid_plan.

    Hide response attribute Show response attribute object
    • errors array[object] Required

      A list of errors that occurred in the failing request

      Hide errors attributes Show errors attributes object
      • code string Required

        A structured code representing the error type that occurred

      • message string Required

        A human readable message describing the error that occurred

      • fields array[string]

        If the error can be tied to a specific field or fields in the user request, this lists those fields

  • 404 application/json
    • The Resource specified by {ref_id} cannot be found. (code: deployments.deployment_resource_not_found)
    • The source deployment cannot be found. (code: deployments.snapshot_dependency_source_not_found)
    Hide headers attribute Show headers attribute
    • x-cloud-error-codes string

      The error codes associated with the response

      Values are deployments.deployment_resource_not_found or deployments.snapshot_dependency_source_not_found.

    Hide response attribute Show response attribute object
    • errors array[object] Required

      A list of errors that occurred in the failing request

      Hide errors attributes Show errors attributes object
      • code string Required

        A structured code representing the error type that occurred

      • message string Required

        A human readable message describing the error that occurred

      • fields array[string]

        If the error can be tied to a specific field or fields in the user request, this lists those fields

  • 500 application/json

    Failed to create snapshot dependency. (code: deployments.snapshot_dependency_internal_error)

    Hide headers attribute Show headers attribute
    • x-cloud-error-codes string

      The error codes associated with the response

      Value is deployments.snapshot_dependency_internal_error.

    Hide response attribute Show response attribute object
    • errors array[object] Required

      A list of errors that occurred in the failing request

      Hide errors attributes Show errors attributes object
      • code string Required

        A structured code representing the error type that occurred

      • message string Required

        A human readable message describing the error that occurred

      • fields array[string]

        If the error can be tied to a specific field or fields in the user request, this lists those fields

POST /deployments/{deployment_id}/elasticsearch/{ref_id}/snapshot/repository
curl \
 --request POST 'https://api.elastic-cloud.com/api/v1/deployments/{deployment_id}/elasticsearch/{ref_id}/snapshot/repository' \
 --header "Content-Type: application/json" \
 --data '{"source_deployment_id":"string"}'